Subject: DLL musings
From: [email-masked] (Michael Pymm)

10 Jan 1998 16:46:35 -0800
Message-ID: <01BD1DE9.579E0080.cygnus.gnu-win32@cerebus>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

For the moment, I've accepted that certain 3rd party DLLs can't be used by a
gcc program given the currently available toolset. Would it be possible to convert
a DLL into a static library? If I understand things properly, DLLs are in-process 
components, same as a library, and you'd call DLL procedures using the same
stdcall method as procedures in modules.

Before I start reading up on .a file format and DLLs, does anybody have any comments
to make on the feasibility (or lack thereof) of such an idea?

Finally, do the libraries that an application like dlltool creates simply contain code to
load a DLL (if not already done so) and call a function at a particular offset into the DLL?
Or is this way too simplistic.

As you might guess, I'm a bit hazy about the specifics of all this.

Michael

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".